InterModeSearchStateNonrd Struct Reference

Structure to store parameters and statistics used in non-rd inter mode evaluation. More...

`#include <nonrd_opt.h>`

## Data Fields

BEST_PICKMODE | best_pickmode
| Structure to hold best inter mode data.
RD_STATS | this_rdc
| Structure to RD cost of current mode.
RD_STATS | best_rdc
| Pointer to the RD Cost for the best mode found so far.
int64_t | uv_dist [(4)][REF_FRAMES]
| Distortion of chroma planes for all modes and reference frames.
struct buf_2d | yv12_mb [REF_FRAMES][3]
| Buffer to hold predicted block for all reference frames and planes.
unsigned int | vars [(4)][REF_FRAMES]
| Array to hold variance of all modes and reference frames.
unsigned int | ref_costs_single [REF_FRAMES]
| Array to hold ref cost of single reference mode for all ref frames.
int_mv | frame_mv [MB_MODE_COUNT][REF_FRAMES]
| Array to hold motion vector for all modes and reference frames.
int_mv | frame_mv_best [MB_MODE_COUNT][REF_FRAMES]
| Array to hold best mv for all modes and reference frames.
int | single_inter_mode_costs [(4)][REF_FRAMES]
| Array to hold inter mode cost of single ref mode for all ref frames.
int | use_ref_frame_mask [REF_FRAMES]
| Array to hold use reference frame mask for each reference frame.
uint8_t | mode_checked [MB_MODE_COUNT][REF_FRAMES]
| Array to hold flags of evaluated modes for each reference frame.
bool | use_scaled_ref_frame [REF_FRAMES]
| Array to hold flag indicating if scaled reference frame is used.

## Detailed Description

Structure to store parameters and statistics used in non-rd inter mode evaluation.

The documentation for this struct was generated from the following file:

- av1/encoder/nonrd_opt.h